net.sf.jasperreports.engine.fill

## Class JREvaluationTime

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JREvaluationTime

- All Implemented Interfaces:
    java.io.Serializable

      public final class JREvaluationTime
      extends java.lang.Object
      implements java.io.Serializable

  An evaluation time during the report fill process.
  Version:
    $Id: JREvaluationTime.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JREvaluationTime` | `EVALUATION_TIME_COLUMN` Evaluation time corresponding to `EvaluationTimeEnum.COLUMN`.
    `static JREvaluationTime` | `EVALUATION_TIME_NOW` Evaluation time corresponding to `EvaluationTimeEnum.NOW`.
    `static JREvaluationTime` | `EVALUATION_TIME_PAGE` Evaluation time corresponding to `EvaluationTimeEnum.PAGE`.
    `static JREvaluationTime` | `EVALUATION_TIME_REPORT` Evaluation time corresponding to `EvaluationTimeEnum.REPORT`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static JREvaluationTime` | `getBandEvaluationTime(int bandId)`
    `static JREvaluationTime` | `getBandEvaluationTime(JRFillBand band)` Returns the evaluation time corresponding to `EvaluationTimeEnum.BAND` for a specific band.
    `int` | `getBandId()`
    `static JREvaluationTime` | `getEvaluationTime(EvaluationTimeEnum type, JRGroup group, JRFillBand band)` Returns the evaluation time corresponding to an evaluation time type.
    `static JREvaluationTime` | `getGroupEvaluationTime(java.lang.String groupName)` Returns the evaluation time corresponding to `EvaluationTimeEnum.GROUP` for a specific group.
    `java.lang.String` | `getGroupName()`
    `EvaluationTimeEnum` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVALUATION_TIME_REPORT

          public static final JREvaluationTime EVALUATION_TIME_REPORT

      Evaluation time corresponding to `EvaluationTimeEnum.REPORT`.

    - #### EVALUATION_TIME_PAGE

          public static final JREvaluationTime EVALUATION_TIME_PAGE

      Evaluation time corresponding to `EvaluationTimeEnum.PAGE`.

    - #### EVALUATION_TIME_COLUMN

          public static final JREvaluationTime EVALUATION_TIME_COLUMN

      Evaluation time corresponding to `EvaluationTimeEnum.COLUMN`.

    - #### EVALUATION_TIME_NOW

          public static final JREvaluationTime EVALUATION_TIME_NOW

      Evaluation time corresponding to `EvaluationTimeEnum.NOW`.

  - ### Method Detail

    - #### getGroupEvaluationTime

          public static JREvaluationTime getGroupEvaluationTime(java.lang.String groupName)

      Returns the evaluation time corresponding to `EvaluationTimeEnum.GROUP` for a specific group.
      Parameters:
        `groupName` - the group name
      Returns:
        corresponding group evaluation time

    - #### getBandEvaluationTime

          public static JREvaluationTime getBandEvaluationTime(JRFillBand band)

      Returns the evaluation time corresponding to `EvaluationTimeEnum.BAND` for a specific band.
      Parameters:
        `band` - the band
      Returns:
        corresponding band evaluation time

    - #### getBandEvaluationTime

          public static JREvaluationTime getBandEvaluationTime(int bandId)

    - #### getEvaluationTime

          public static JREvaluationTime getEvaluationTime(EvaluationTimeEnum type,
                                           JRGroup group,
                                           JRFillBand band)

      Returns the evaluation time corresponding to an evaluation time type.
      Parameters:
        `type` - the evaluation time type
        `group` - the group used for `EvaluationTimeEnum.GROUP` evaluation time type
        `band` - the band used for `EvaluationTimeEnum.BAND` evaluation time type
      Returns:
        the evaluation time corresponding to an evaluation time type

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public EvaluationTimeEnum getType()

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### getBandId

          public int getBandId()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com